FUNCTION TE(3)

NAME
boost::date_time::var_string_to_int - Helper function for parsing varied length strings into integers.

SYNOPSIS

// In header: <boost/date_time/format_date_parser.hpp>
template<typename int_type, typename charT>
  int_type var_string_to_int(std::istreambuf_iterator< charT > & itr,
                             const std::istreambuf_iterator< charT > & stream_end,
                             unsigned int max_length);

DESCRIPTION

Will consume 'max_length' characters from stream only if those characters are digits. Returns '-1' if no number can be parsed. Will not parse a number preceeded by a '+' or '-'.